# LoadCheckData Struct Reference

Container for loading in mode SL_LOAD_CHECK. More...

`#include <fios.h>`

## Public Member Functions
| ~LoadCheckData ()
| Don't leak memory at program exit.
bool | HasErrors ()
| Check whether loading the game resulted in errors.
bool | HasNewGrfs ()
| Check whether the game uses any NewGrfs.
void | Clear ()
| Reset read data.
## Data Fields
bool | checkable
| True if the savegame could be checked by SL_LOAD_CHECK. (Old savegames are not checkable.).
StringID | error
| Error message from loading. INVALID_STRING_ID if no error.
char * | error_data
| Data to pass to SetDParamStr when displaying error.
uint32 | map_size_x
uint32 | map_size_y
Date | current_date
GameSettings | settings
CompanyPropertiesMap | companies
| Company information.
GRFConfig * | grfconfig
| NewGrf configuration from save.
GRFListCompatibility | grf_compatibility
| Summary state of NewGrfs, whether missing files or only compatible found.

## Detailed Description

Container for loading in mode SL_LOAD_CHECK.

Definition at line 25 of file fios.h.

## Member Function Documentation

bool LoadCheckData::HasErrors | ( |  | ) | `[inline]`

Check whether loading the game resulted in errors.

Returns:
  true if errors were encountered.

Definition at line 57 of file fios.h.

References checkable, error, and INVALID_STRING_ID.

Referenced by SaveLoadWindow::OnClick(), and SaveLoadWindow::OnInvalidateData().

bool LoadCheckData::HasNewGrfs | ( |  | ) | `[inline]`

Check whether the game uses any NewGrfs.

Returns:
  true if NewGrfs are used.

Definition at line 66 of file fios.h.

References checkable, error, grfconfig, and INVALID_STRING_ID.

Referenced by SaveLoadWindow::OnClick(), and SaveLoadWindow::OnInvalidateData().

The documentation for this struct was generated from the following files:

- src/fios.h
- src/fios_gui.cpp